Source10: kmodtool2
%define kmodtool bash %{SOURCE10}
%{!?kversion: %define kversion 2.6.9-55.0.12.EL}
# hint: this can he overridden with "--define kversion foo" on the rpmbuild command line, e.g.
# --define "kversion 2.6.16-1.2096_FC5"

%define kmod_name arcmsr
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i586 i686 x86_64
%define smpvar smp
%endif
%ifarch i686
%define hugememvar hugemem
%define xenvar xenU
%endif
%ifarch x86_64
%define largesmpvar largesmp
%define xenvar xenU
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?hugememvar} %{?largesmpvar} %{?xenvar}}
# hint: this can he overridden with "--define kvariant foo bar" on the rpmbuild command line, e.g.
# --define 'kvariant "" smp'

Name:           %{kmod_name}-kmod
Version:        1.20.0X.14
Release:        1.%(echo %{kverrel} | tr - _)
Summary:        %{kmod_name} kernel modules

Group:          System Environment/Kernel
License:        GPL
URL:            http://www.areca.com.tw/
Source0:        arcmsr.1.20.0X.14.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i586 i686 x86_64

%description
%{summary}.

%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
%setup -q -c
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}.%{version}/kernel-version-2.6.x/arcmsr \
        _kmod_build_${kvariant}
done

%build
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants} ; do
    ks=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    make -C $ks SUBDIRS=${PWD}/_kmod_build_$kvariant modules \
        CONFIG_SCSI_ARCMSR=m
    make -C $ks SUBDIRS=${PWD}/_kmod_build_$kvariant modules_install \
        INSTALL_MOD_PATH=$RPM_BUILD_ROOT modinst_dir='$(MODLIB)/updates/'%{kmod_name}
done
chmod +x $RPM_BUILD_ROOT/lib/modules/*/updates/%{kmod_name}/*.ko

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May  7 2007 Shad L. Lords <slords@mail.com>
- Update to use kmodtool

* Fri Dec 01 2006 Shad L. Lords <slords@mail.com>
- Initial package.
